VARKON Version 1.15 1997-10-24

> ## tform_mirr - Geometric procedure

> Creates a transformation
> Description
> Creates a 2D or 3D mirroring transformation.
> Syntax
> tform_mirr(id, p1, p2, p3:attributes);

> REF | id;
> VECTOR | p1;
> VECTOR | p2;
> VECTOR | p3;

> Principal parameters

> id | - Local identity
> p1 | - First position on mirror axis
> p2 | - Second position on mirror axis

> Optional parameters

> p3 | - Third position. p1, p2 and p3 define the mirroring plane

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)

> Example
> tform_mirr(#1,vec(0,0),vec(1,0));
> A mirror transformation in the XY-plane with the X-axis as mirror axis.
> tform_mirr(#1,vec(0,0,0),vec(0,1,0),vec(0,0,1));
> A mirror transformation with the YZ-plane as mirroring plane.
> Comment
> tform_mirr can be used in 2D and 3D but can not be used for scaling.

VARKON Homepage | Index